POST/v1/payment-links

Create payment link

Creates a shareable hosted payment link (zero integration checkout).

Authentication

Secret Key — send Authorization: Bearer YOUR_KEY header.

Feature required

Requires payment_links enabled on your API app.

Request parameters

ParameterTypeRequiredDescription
amountstringYesAmount in "10.00" format
currencystringYesUSD or ZWG
titlestringYesLink title shown to customer
descriptionstringNoOptional description
max_usesintegerNoMaximum number of payments
expires_atstringNoISO 8601 expiry

Response fields

FieldTypeDescription
idstringPayment link ID
urlstringPublic payment URL
slugstringShort slug for the link

Code examples

bash
curl -X POST https://api.watenga.africa/v1/payment-links \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
        "amount": "50.00",
        "currency": "USD",
        "title": "Invoice #42"
      }'

Response example

json
{
  "success": true,
  "data": {
    "id": "plink_01HQ",
    "url": "https://pay.watenga.africa/l/abc12xyz",
    "slug": "abc12xyz"
  }
}